Subject: Re: [PATCH v2] tg3: Fix INTx fallback when MSI fails

From: "Michael Chan" <[email-masked]>
Date: Mon, 26 Apr 2010 11:01:21 -0700

On Mon, 2010-04-26 at 11:10 -0700, David Miller wrote:
> From: Andre Detsch <[email-masked]>
> Date: Mon, 26 Apr 2010 14:27:07 -0300
> 
> > tg3: Fix INTx fallback when MSI fails
> > 
> > MSI setup changes the value of irq_vec in struct tg3 *tp.
> > This attribute must be taken into account and restored before
> > we try to do a new request_irq for INTx fallback.
> > 
> > In powerpc, the original code was leading to an EINVAL return within
> > request_irq, because the driver was trying to use the disabled MSI
> > virtual irq number instead of tp->pdev->irq.
> > 
> > Signed-off-by: Andre Detsch <[email-masked]>
> 
> Broadcom folks, I've already asked you to review Andre's original patch.
> 
> If you can't be bothered to look at and ACK/NACK a simple fix like
> this for 10 days, then I'm just going to apply Andre's patch as-is
> since it looks right to me.
> 
> If the idea was to bundle this up into a set of 15 patches you guys
> already have ready to bomb at me, I absolutely do not want you guys to
> operate that way.  It doesn't work.  You should be able to ACK a
> simple patch like this as soon as possible so it can be integrated
> upstream in the most expediant manner possible.
> 
> Thanks.
> 

Sorry, Matt just got back from vacation.  I discussed with Andre earlier
today to come up with the new v2 patch.  So this patch has my:

Acked-by: Michael Chan <[email-masked]>